Translations:Release notes/1.0/399/en

From Inkscape Wiki
Jump to navigation Jump to search
  • autotools builds have been dropped. Please use CMake for building Inkscape from now on. More info is available on our website.
  • libsoup dependency added: we use libsoup for making http requests without a need for dbus and gvfs.
  • double-conversion [1] dependency added: lib2geom now depends on an external version of the library.
  • Inkscape now uses a git submodule for the extensions directory. If you have cloned the repository and are not building from the release source code tarball, please note the updated build instructions
  • On Ubuntu 18.04, Gnome's fallback icon set (package 'adwaita-icon-theme-full'), that is needed to display Inkscape's default icons completely, is no longer automatically installed. It has been added as a 'recommends' level dependency.
  • lib2geom: [insert up-to-date info here]
  • The environment variable INKSCAPE_PORTABLE_PROFILE_DIR has been removed. Please use the equivalent INKSCAPE_PROFILE_DIR instead for changing the location of the profile directory at run time. (see also #114)